=== debian/changelog ===
devscripts (2.19.5) unstable; urgency=medium

  [ Topi Miettinen ]
  * hardening-check:
    + Fix some typos in the documentation.  MR: !118

  [ Xavier Guimard ]
  * Update French translation.
  * uscan:
    + Don't fail on first error when using multiple watch files.
      Closes: #927864; MR: !119
  * salsa:  MR: !117
    + Fix token regexp to allow "-" in GitLab tokens.
    + Fix useless warnings when old description is null.  Closes: #927367
    + Accept sub-groups in --group parameter.  Closes: #927350
    + Fix bad warning if user is an inherited member of a subgroup.
      Closes: #927373

  [ Edward Betts ]
  * Correct some spelling errors in documentation.  MR: !116

  [ Guillem Jover ]
  * mk-origtargz:  MR: !120
    + Do not enarmor already armored OpenPGP signatures.  This actively caused
      broken .asc files to be uploaded to the archive.
    + Pass --no-options to gpg.
    + Prevent duplicating the signature in case mk-origtargz is called twice.
    + Fix OpenPGP signature ASCII enarmor normalization.
    + Minore code improvements.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 09 May 2019 17:01:29 +0200

devscripts (2.19.4) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debrepro:
    + Include --before-second-build option in output of --help.

  [ Adam D. Barratt ]
  * scripts/Makefile:
    + Fix building / testing of shell-based scripts.  Closes: #923271

  [ Paul Wise ]
  * chdist:
    + Drop Dir::State::status as apt doesn't hard-code it since 1.3~pre3

  [ Mattia Rizzolo ]
  * Apply patch from Jakub Wilk to fix a weird spacing in devscripts(1).
    Closes: #922975
  * sadt:
    + Ignore a UserWarning from debian.deb822.PkgRelation.parse_relations after
      #712513 changed its format.  Closes: #924026
  * wrap-and-sort:
    + Do not try to sort the paragraphs in d/tests/control.  Closes: #923499
  * tests:
    + Introduce a chronic_sh() bash function, reimplementing chronic(1).
    + Quiet down the uscan_git tests by using the new chronic_sh() thing, and
      tweaking a few command calls here and there.
    + Rename the TMPDIR variable to avoid overloading it, and with it affect
      the behaviour of mktemp(1) when it was already exported.  Closes: #924977
      This affected only some uscan tests.
    + Also tweak a few mktemp(1) calls to place their files in SHUNIT_TMPDIR,
      and name them after the tests they are running.
    + export GIT_CONFIG_NOGLOBAL=1, HOME=, XDG_CONFIG_HOME= in a few tests
      (uscan_git and salsa) to prevent the local configuration from affecting
      the tests.  Closes: #921334

  [ Xavier Guimard ]
  * salsa:
    + Allow `checkout --all`, to checkout all repos in a group.  MR: !109
    + Return 1 when lists are empty.  MR: !110
    + Fix disable/enable options.  MR: !114
    + Add KGB options configuration.  Closes: #921641; MR: !115
  * uscan:
    + Fix bad check for "verbose" in Config.pm.  Closes: #923441; MR: !111
  * Update French translation.

  [ Reiner Herrmann ]
  * Update German translation.

  [ Simon McVittie ]
  * mergechanges:
    + Fix handling of .changes with a multiline Binary field.
      Closes: #923427; MR: !112

  [ Christoph Berg ]
  * Refresh German translation, mostly for salsa.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Mar 2019 16:57:59 +0100

devscripts (2.19.3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * grep-excuses:
    + Add a patch from Niels Thykier to fix a possible crash.  Closes: #919191
  * bts:
    + Expand the "BTS" acronym in the manpage synopsis.  Closes: #920870
  * rmadison:
    + Apply a patch from Jakub Wilk to use HTTPS with people.canonical.com.
      Closes: #921378
  * nmudiff:
    + Expand the "NMU" acronym in the manpage description.  Closes: #920869

  [ Simon McVittie ]
  * debc/debi:
    + List packages of any architecture.
    + Consider installing foreign 'Multi-Arch: same' packages, as long as they
      belong of a known foreign architecture.
    + Closes: #915668; MR: !93
  * mergechanges: MR: !102
    + Merge Binary and Description fields.  Closes: #920470
    + Add a basic regression test.

  [ Xavier Guimard ]
  * salsa:
    + Slightly improve the documentation.  Closes: #919402; MR: !100
    + Fix misinterpretation of SALSA_IRKER in devscripts.conf.
    + Fix the impossibility to delete email-on-push.
    + Fix email recipients afterglow when used with --all.
      Closes: #921640; MR: !104
    + Die if project is missing in fork command.  Closes: #922079
  * uscan:  MR: !101
    + Fix dehs output with components with the "ignore" version.
    + Fix dehs output when "group" is used.
    + Avoid false positive warning on USCAN_SYMLINK value.
      Closes: #920874; MR: !103
    + Fix exit code when component are used.  Closes: #922131; MR: !105
    + Don't parse empty options.  Closes: #922132; MR: !105
  * French translation update.

  [ Chris Leick ]
  * German translation update.

  [ Reiner Herrmann ]
  * German translation update.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Feb 2019 06:45:37 +0100

devscripts (2.19.2) unstable; urgency=medium

  * d/postinst:
    + Re-add accidentally removed code that installs /etc/devscripts.conf
      during the first installation.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Jan 2019 20:37:26 +0100

devscripts (2.19.1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Upload to unstable.
  * d/control:
    + Add debhelper to Suggests.  Thanks Simon Quigley for the suggestion.
    + Restrict the Build-Depends on git to >= 1:2.7.0 (to use `git log
      --date=format-local:`), that is not available on kbsd yet.
    + Bump debhelper compat level to 12, using the new debhelper-compat format.
    + Bump Standards-Version to 4.3.0, no changes needed.
  * d/lintian-overrides:
    + Add some lintian overrides for uses-dpkg-database-directly.  MR: !95
    + Add a lintian override for binary-package-depends-on-toolchain-package.
  * Move manual calls to dpkg-maintscript-helper to d/maintscripts.

